Now on demand: Content + AI Virtual Summit. See demos on Box Agents, Extract, and Automate. Tune in
curl -i -X POST "https://api.box.com/2.0/collaboration_whitelist_entries" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"domain": "example.com",
"direction": "inbound"
}'{
"id": "11446498",
"type": "collaboration_whitelist_entry",
"domain": "example.com",
"direction": "both",
"enterprise": {
"id": "11446498",
"type": "enterprise",
"name": "Acme Inc."
},
"created_at": "2012-12-12T10:53:43-08:00"
}Creates a new entry in the list of allowed domains to allow collaboration for.
curl -i -X POST "https://api.box.com/2.0/collaboration_whitelist_entries" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"domain": "example.com",
"direction": "inbound"
}'{
"id": "11446498",
"type": "collaboration_whitelist_entry",
"domain": "example.com",
"direction": "both",
"enterprise": {
"id": "11446498",
"type": "enterprise",
"name": "Acme Inc."
},
"created_at": "2012-12-12T10:53:43-08:00"
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Returns a new entry on the list of allowed domains.
An entry that describes an approved domain for which users can collaborate with files and folders in your enterprise or vice versa.
The unique identifier for this entry.
"11446498"
The value will always be collaboration_whitelist_entry.
collaboration_whitelist_entry "collaboration_whitelist_entry"
The whitelisted domain.
"example.com"
The direction of the collaborations to allow.
inbound, outbound, both "both"
The enterprise this list is applied to.
Show child attributes
The time the entry was created at.
"2012-12-12T10:53:43-08:00"
Was this page helpful?